	</section>
</main>
<script src="switch.js"></script>
<script>
///////////////////////////////////////////////////////////////////////
/////////////////////////// designfreaks.net //////////////////////////
///////////////////////////////////////////////////////////////////////

const particleContainer = document.getElementById('particle-container');
const numberOfParticles = 300; 

for (let i = 0; i < numberOfParticles; i++) {
  const particle = document.createElement('div');
  particle.classList.add('particle');
  
  particle.style.top = Math.random() * 100 + 'vh';
  particle.style.left = Math.random() * 100 + 'vw';

  const randomSize = Math.random() * 10 + 5;
  particle.style.width = `${randomSize}px`;
  particle.style.height = `${randomSize}px`;

  const randomDuration = Math.random() * 50 + 40; 
  particle.style.animationDuration = `${randomDuration}s`;
  particle.style.animationDelay = `${Math.random() * 5}s`; 

  particleContainer.appendChild(particle);
  
  const randomCurveX = Math.random() * 200 - 100;
  const randomCurveY = Math.random() * 200 - 100;
  
  const keyframes = `
    @keyframes fadeAndMove${i} {
      0% {
        transform: translate(0, 0) scale(1);
        opacity: 1;
      }
      50% {
        opacity: 0.5;
      }
      100% {
        transform: translate(${randomCurveX}vw, ${randomCurveY}vh) scale(0);
        opacity: 0;
      }
    }
  `;
  
  const styleSheet = document.createElement("style");
  styleSheet.type = "text/css";
  styleSheet.innerText = keyframes;
  document.head.appendChild(styleSheet);
  
  particle.style.animationName = `fadeAndMove${i}`;
}
</script>
</body>

</html>